https://bugs.gentoo.org/928924

Fixup on top of https://github.com/ggreer/the_silver_searcher/pull/1525
diff --git a/src/decompress.c b/src/decompress.c
index f0bbb33..1680cd5 100644
--- a/src/decompress.c
+++ b/src/decompress.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <string.h>
 #include <unistd.h>
 
diff --git a/src/ignore.c b/src/ignore.c
index 88036ef..02b06f4 100644
--- a/src/ignore.c
+++ b/src/ignore.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <ctype.h>
 #include <dirent.h>
 #include <limits.h>
diff --git a/src/lang.c b/src/lang.c
index 6d62f72..1f2c020 100644
--- a/src/lang.c
+++ b/src/lang.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <stdlib.h>
 #include <string.h>
 
diff --git a/src/log.c b/src/log.c
index f6f4e9a..e6c56ea 100644
--- a/src/log.c
+++ b/src/log.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <stdarg.h>
 #include <stdio.h>
 
diff --git a/src/main.c b/src/main.c
index e116f70..3d3b565 100644
--- a/src/main.c
+++ b/src/main.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <ctype.h>
 #include <pcre.h>
 #include <stdarg.h>
@@ -9,8 +11,6 @@
 #include <windows.h>
 #endif
 
-#include "config.h"
-
 #ifdef HAVE_SYS_CPUSET_H
 #include <sys/cpuset.h>
 #endif
diff --git a/src/options.c b/src/options.c
index 2145b33..2bfac85 100644
--- a/src/options.c
+++ b/src/options.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <errno.h>
 #include <limits.h>
 #include <stdarg.h>
@@ -8,7 +10,6 @@
 #include <sys/stat.h>
 #include <unistd.h>
 
-#include "config.h"
 #include "ignore.h"
 #include "lang.h"
 #include "log.h"
diff --git a/src/print.c b/src/print.c
index 34dbeff..5d825dd 100644
--- a/src/print.c
+++ b/src/print.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <limits.h>
 #include <stdarg.h>
 #include <stdio.h>
diff --git a/src/print_w32.c b/src/print_w32.c
index a1fd387..ca15da4 100644
--- a/src/print_w32.c
+++ b/src/print_w32.c
@@ -1,5 +1,6 @@
 #ifdef _WIN32
 
+#include "config.h"
 #include "print.h"
 #include <io.h>
 #include <stdarg.h>
diff --git a/src/scandir.c b/src/scandir.c
index 50cb595..425855a 100644
--- a/src/scandir.c
+++ b/src/scandir.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <dirent.h>
 #include <stdlib.h>
 
diff --git a/src/search.c b/src/search.c
index 40b5662..dc81b4c 100644
--- a/src/search.c
+++ b/src/search.c
@@ -1,3 +1,4 @@
+#include "config.h"
 #include "search.h"
 #include "print.h"
 #include "scandir.h"
diff --git a/src/util.c b/src/util.c
index 90ffb6f..32e91f2 100644
--- a/src/util.c
+++ b/src/util.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #include <ctype.h>
 #include <stdarg.h>
 #include <stdio.h>
@@ -5,7 +7,6 @@
 #include <string.h>
 #include <sys/stat.h>
 
-#include "config.h"
 #include "util.h"
 
 #ifdef _WIN32
diff --git a/src/zfile.c b/src/zfile.c
index 299a519..a8c1c73 100644
--- a/src/zfile.c
+++ b/src/zfile.c
@@ -1,3 +1,5 @@
+#include "config.h"
+
 #ifdef __FreeBSD__
 #include <sys/endian.h>
 #endif
@@ -17,8 +19,6 @@ typedef _off64_t off_t;
 #include <stdlib.h>
 #include <string.h>
 
-#include "config.h"
-
 #ifdef HAVE_ERR_H
 #include <err.h>
 #endif
